<xml></xml>

Saxon API for .NET |

# StaticError Properties

The properties of the StaticError class are listed below. For a complete list of StaticError class members, see the StaticError Members topic.

#### Public Instance Properties

ErrorCode | The error code, as a QName. May be null if no error code has been assigned
HelpLink (inherited from Exception) | Gets or sets a link to the help file associated with this exception.
InnerException (inherited from Exception) | Gets the Exception instance that caused the current exception.
IsTypeError | Indicate whether this condition is a type error.
IsWarning | Indicate whether this error is being reported as a warning condition. If so, applications may ignore the condition, though the results may not be as intended.
LineNumber | The line number locating the error within a query or stylesheet module
Message | Return the message associated with this error
ModuleUri | The URI of the query or stylesheet module in which the error was detected (as a string)
Source (inherited from Exception) | Gets or sets the name of the application or the object that causes the error.
StackTrace (inherited from Exception) | Gets a string representation of the frames on the call stack at the time the current exception was thrown.
TargetSite (inherited from Exception) | Gets the method that throws the current exception.

#### Protected Instance Properties

HResult (inherited from Exception) | Gets or sets HRESULT, a coded numerical value that is assigned to a specific exception.

#### See Also

StaticError Class | Saxon.Api Namespace